<?php
/**
 * Themaga hooks
 *
 * @author   ThemeCountry
 * @package  themaga
 */

/**
 * Header
 *
 * @see themaga_skip_links
 * @see themaga_site_branding
 * @see themaga_primary_navigation
 * @see themaga_topbar_search
 */

add_action( 'themaga_header',				'themaga_header_container_open',			5 );
add_action( 'themaga_header',				'themaga_skip_links',					 	10 );
add_action( 'themaga_header',				'themaga_site_branding',					20 );
add_action( 'themaga_header',				'themaga_primary_navigation',				30 );
add_action( 'themaga_header',				'themaga_topbar_search',					40 );
add_action( 'themaga_header',				'themaga_header_right_wrapper_open',		25 );
add_action( 'themaga_header',				'themaga_header_right_wrapper_close',		45 );
add_action( 'themaga_header',				'themaga_header_container_close',			50 );

add_action( 'themaga_before_site',			'themaga_progress_bar',						10 );

/**
 * Post
 */
add_action( 'themaga_loop_post',		'themaga_post_thumbnail', 	10 );
add_action( 'themaga_loop_post',		'themaga_post_header', 		20 );
add_action( 'themaga_loop_post',		'themaga_post_content', 		30 );
add_action( 'themaga_loop_post',		'themaga_entry_footer', 		40 );
add_action( 'themaga_loop_after',	    'themaga_paging_nav',		10 );

/**
 * Footer Post Meta
 */
add_action( 'themaga_entry_footer', 'themaga_post_on', 		10 );


/**
 * Single Post
 */
add_action( 'themaga_single_post', 'themaga_post_single_content',	 					20 );
add_action( 'themaga_post_single_content_before', 'themaga_single_post_thumbnail',	10 );
add_action( 'themaga_single_post', 'themaga_tags_list',	 							30 );

/**
 * Functions hooked in to themaga_single_post_bottom action
 *
 * @hooked themaga_post_nav         - 10
 * @hooked themaga_display_comments - 20
 */
add_action( 'themaga_single_post_bottom', 'themaga_post_nav',			 10 );
add_action( 'themaga_single_post_bottom', 'themaga_display_comments',	 20 );

/**
 * Sidebar
 */
add_action( 'themaga_sidebar',			'themaga_get_sidebar',		10 );


/**
 * Page - Hooks
 *
 * @see  themaga_page_header()
 * @see  themaga_page_content()
 * @see  themaga_display_comments()
 */

add_action( 'themaga_page',				'themaga_page_header',		  		10 );
add_action( 'themaga_page',				'themaga_page_content',				20 );
add_action( 'themaga_page_after',		'themaga_display_comments',			10 );


/**
 * Footer
 *
 * @see  modol_footer_widgets()
 * @see  themaga_credit()
 * @see  themaga_footer_back_top()
 */

add_action( 'themaga_footer', 'themaga_footer_widgets', 			10 );
add_action( 'themaga_footer', 'themaga_credit', 					20 );
add_action( 'themaga_after_footer', 'themaga_back_to_top',    		10 );


/**
 * Featured Homepage
 *
 * @see  
 * @see  
 * @see  
 */
add_action( 'themaga_before_content', 'themaga_feature_homepage', 	10 );
add_action( 'themaga_before_content', 'themaga_ads_under_featured', 	20 );

/**
 * Featured Homepage
 *
 * @see  
 * @see  
 * @see  
 */
add_action( 'themaga_before_content', 		'themaga_single_post_title', 		10 );
add_action( 'themaga_after_single_title', 	'themaga_post_on', 					10 );



/**
 * Homepage
 *
 * @see  
 * @see  
 * @see  
 */
// add_action( 'themaga_homepage', 'themaga_homepage_style2', 			20 );
add_action( 'themaga_homepage', 'themaga_homepage_render', 20 );

/**
 * Feature Post Meta
 *
 * @see
 */
add_action( 'themaga_feature_post_meta', 'themaga_post_meta_wrapper_open', 			10 );
add_action( 'themaga_feature_post_meta', 'themaga_date_posted_on', 					20 );
add_action( 'themaga_feature_post_meta', 'themaga_feature_author', 					30 );
add_action( 'themaga_feature_post_meta', 'themaga_post_meta_wrapper_close', 			40 );


/**
* Display Search
*
* @see
*/
add_action( 'themaga_after_page', 'themaga_search_overlay', 			10 );
add_action('themaga_after_page' , 'themaga_menu_overlay',				20 );
add_action( 'themaga_before_footer', 'themaga_ads_footer',			10 );

